#include <os.h>

int main(int argc, char** argv)
{
	if(argc == 1)
	{
		printf("USAGE: %s FILE\n",argv[0]);
		printf("Shows stat data for FILE.\n");
		return 0;
	}
	
	// Search file
	char path[100];
	struct stat s;
	// Absolute path?
	if(stat(argv[1],&s) != 0)
	{
		// Relative path?
		NU_Current_Dir("A:",path);
		strcat(path,argv[1]);
		if(stat(path,&s) != 0)
		{
			printf("Error: %s\n",strerror(errno));
			return 0;
		}
	}
	
	printf("Mode: ");
	if(s.st_mode & S_IFREG) printf("File\n");
	if(s.st_mode & S_IFDIR) printf("Folder\n");
	
	printf("Size: %d KBytes\n",s.st_size/1024);
	
	return 0;
}