#include <os.h>

int dirlist(char* path, char* pattern, char** result)
{ unsigned char StructDstat[512];
  chdir(path);
  if (NU_Get_First((struct dstat*)StructDstat, pattern)) {
    printf("Error: dirlist() failed to find file\n");
    NU_Done((struct dstat*)StructDstat);
    return -1;
  }
  int i = 0;
  do {
    char* dirname = (char*) malloc(128);
    strcpy(dirname, (char*) &StructDstat[13]);
    result[i] = dirname;
    i++;
  } while (NU_Get_Next((struct dstat*)StructDstat) == 0); 
  NU_Done((struct dstat*)StructDstat);
  return i;
}

int main(int argc, char** argv)
{
	char** filenames = (char**) malloc(1024);
	int numfiles;
	int i;
	char path[100];
	char dpath[100];
	if(argc == 1)
	{
		NU_Current_Dir("A:",path);
	}
	else
	{
		strcpy(path,argv[1]);
	}
	numfiles = dirlist(path, "*.*", filenames);
	struct stat s;
	for(i=0;i<numfiles;i++)
	{
		strcpy(dpath,path);
		strcat(dpath,filenames[i]);
		stat(dpath,&s);
		printf("%s",filenames[i]);
		if(s.st_mode & S_IFDIR)
		{
			printf("\\");
		}
		printf("\n");
	}
	return 0;
}